Package org.apache.lucene.facet.taxonomy

## Class TaxonomyFacetCounts

- java.lang.Object
- - org.apache.lucene.facet.Facets
  - - org.apache.lucene.facet.taxonomy.TaxonomyFacets
    - - org.apache.lucene.facet.taxonomy.IntTaxonomyFacets
      - - org.apache.lucene.facet.taxonomy.TaxonomyFacetCounts

-     @Deprecated
      public class TaxonomyFacetCounts
      extends IntTaxonomyFacets

  Deprecated.
  Custom binary encodings for taxonomy ordinals are no longer supported starting with Lucene 9. Please switch to `FastTaxonomyFacetCounts` or implement your own `Facets` implementation if you have custom needs.
  Reads from any `OrdinalsReader`; use `FastTaxonomyFacetCounts` if you are using the default encoding from `BinaryDocValues`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.facet.taxonomy.IntTaxonomyFacets

      `aggregationFunction, sparseValues, values`

    - ### Fields inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `config, indexFieldName, taxoReader`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaxonomyFacetCounts​(OrdinalsReader ordinalsReader, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)` | Deprecated. Create `TaxonomyFacetCounts`, which also counts all facet labels.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.IntTaxonomyFacets

      `getAllChildren, getSpecificValue, getTopChildren, getTopDims, getValue, increment, increment, rollup, useHashTable`

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `childrenLoaded, getAllDims, siblingsLoaded, verifyDim`

    - ### Methods inherited from class org.apache.lucene.facet.Facets

      `validateTopN`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaxonomyFacetCounts

          public TaxonomyFacetCounts​(OrdinalsReader ordinalsReader,
                                     TaxonomyReader taxoReader,
                                     FacetsConfig config,
                                     FacetsCollector fc)
                              throws IOException

      Deprecated.
      Create `TaxonomyFacetCounts`, which also counts all facet labels. Use this for a non-default `OrdinalsReader`; otherwise use `FastTaxonomyFacetCounts`.
      Throws:
        `IOException`